Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
Developer
Posts: 367
Registered: ‎11-25-2009
My Device: Not Specified
Accepted Solution

Cannot install Eclipse plugin from Update site

[ Edited ]

Hello,

 

Unfortunately, I've had to reinstall my Blackberry JDE Plugin for Eclipse.  I have run into an issue, though.  With the Eclipse Update Site (http://www.blackberry.com/go/eclipseUpdate/3.6/java), I was able to download all of the necessary Component Packs.  There was no option to install the actual plug-in, however.  So all of the component packs are installed, but I cannot create any new BlackBerry project or anything like that because the actual plug-in is missing.

 

Here are my install options in eclipse:

 

 

BlackBerry Java Plug-in Category
   BlackBerry Java SDK                5.0...
   BlackBerry Java SDK                4.7...
   BlackBerry Java SDK                4.6...
   BlackBerry Java SDK                4.6...
   BlackBerry Java SDK                4.5...

 

 

How can I do this?

 

Thanks!

Developer
Posts: 1,055
Registered: ‎01-25-2009
My Device: BlackBerry Bold 9650/BlackBerry Torch 9800

Re: Cannot install Eclipse plugin from Update site

Unfortunately, they do not provide the plug-in within the update site at this time. Try downloading the full installer from the following page:

 

http://us.blackberry.com/developers/javaappdev/devtools.jsp

 

Direct Link (form submission required):

 

https://www.blackberry.com/Downloads/contactFormPreload.do?code=DC727151E5D55DDE1E950767CF861CA5&dl=...

Jerome Carty - Follow jcarty on Twitter@jcarty | #webworks-dev / #BlackberryDev on irc.freenode.net | My Apps
Click "Accept as Solution" if post solved your original issue.. Give like/thumbs up if you feel post is helpful
Developer
Posts: 367
Registered: ‎11-25-2009
My Device: Not Specified

Re: Cannot install Eclipse plugin from Update site

Jerome,

 

With the full installer, won't it install a new copy of Eclipse?  Or am I able to use my existing Eclipse installation?


Thanks.

Highlighted
Developer
Posts: 410
Registered: ‎06-03-2010
My Device: Z10 Red
My Carrier: Free

Re: Cannot install Eclipse plugin from Update site

Yes it will. And you'll also have only the 6.0 simulator.

 

But you may try to copy the edje plugin from the blackberry eclipse folder to your own Helios eclipse.

Developer
Posts: 367
Registered: ‎11-25-2009
My Device: Not Specified

Re: Cannot install Eclipse plugin from Update site

Thanks for your help!

New Contributor
Posts: 3
Registered: ‎03-01-2011
My Device: Not Specified

Re: Cannot install Eclipse plugin from Update site

Hello!

 

Does anybody know when they will offer the plugin-download via the update site again? This really is a problem because I cannot use the full installation without severe difficulties. Does anybody know, why they changed it?

 

Best regards,

Jenny

Developer
Posts: 410
Registered: ‎06-03-2010
My Device: Z10 Red
My Carrier: Free

Re: Cannot install Eclipse plugin from Update site

Have a look at this post:

http://devblog.blackberry.com/2011/02/java-plug-in-eclipse-info/?utm_source=feedburner&utm_medium=fe...

 

 

"This means we will no longer provide an update site for the Java Plug-in for Eclipse 1.3 release"

New Contributor
Posts: 3
Registered: ‎03-01-2011
My Device: Not Specified

Re: Cannot install Eclipse plugin from Update site

Thank you for the response.

I still think it is really unpleasant to stop the support for lower Eclipse versions and BlackBerry Plug-ins =/

Developer
Posts: 135
Registered: ‎11-14-2010
My Device: BlackBerry Z10 (White)
My Carrier: Vodafone

Re: Cannot install Eclipse plugin from Update site

I couldn't agree more, it's a bit of a joke that the only way to develop apps for BlackBerry is to download the monster bundled eclipse install, then reconfigure your entire environment. 

 

I have started a separate thread about this here:

 

http://supportforums.blackberry.com/t5/Java-Development/Install-BlackBerry-plugin-into-existing-ecli... 

New Contributor
Posts: 3
Registered: ‎03-01-2011
My Device: Not Specified

Re: Cannot install Eclipse plugin from Update site

I also tried to integrate the two somehow, but it would not work out. I just returned to my Eclipse Galileo 3.5 and used the v 1.1 Plug-in again. Still, I am really disappointed at this. Just because some developers like to install a huge software package for every single one of their plugins, that does not mean that everybody does. Especially when your software usage is project-based and you need to add and removed and integrate plugins quickly and easily, this is just **bleep**. =/ BlackBerry, WHYYYY? =(